Subject: Re: [PATCH] net: mdio-octeon: Add PCI driver binding.

From: David Daney <[email-masked]>
Date: Thu, 24 Sep 2015 15:54:30 -0700

On 09/24/2015 03:50 PM, David Miller wrote:
> From: David Daney <[email-masked]>
> Date: Thu, 24 Sep 2015 15:45:41 -0700
>
>> 2) The OF device tree nodes for PCI devices do not result in the
>> creation of a platform device.
>
> But they are created for the children right?  And that's the one
> you need them for probing.
>
> I'm still not convinced, sorry.
>

Let's let this topic rest for a few days.  My original patch was 
defective, so it cannot be merged.  I will sleep on this, try a few 
things and perhaps revisit it if I still think it is advisable.

Thanks,
David Daney